#include <iostream>
#include <vector>
#include <cmath>
#include <map>
#include <set>
#include <unordered_map>
#include <queue>
#include <deque>
#include <algorithm>
#include <bitset>
#include <numeric>
#include <unordered_set>
#include <string>
using namespace std;
vector<vector<int>> solve(int n){
    return {{0, 1, 2}};
}